Foxit PDF Conversion SDK

Static Public Member Functions | Public Attributes | List of all members
CFX_CharMap Struct Reference
FXCRT

## Static Public Member Functions
static CFX_CharMap * | GetDefaultMapper (FX_INT32 codepage=0)
| Get a character mapper according to Windows code page or other encoding system. This char maps are managed by FXAPI, don't destroy them. More...

## Public Attributes
CFX_ByteString(* | m_GetByteString )(CFX_CharMap *pMap, const CFX_WideString &wstr)
| A pointer type to GetByteString function. More...
FX_INT32(* | m_GetCodePage )()
| A pointer type to GetCodePage function. The function return a code page of the platform. More...
CFX_WideString(* | m_GetWideString )(CFX_CharMap *pMap, const CFX_ByteString &bstr)
| A pointer type to GetWideString function. More...

## Detailed Description

Abstract class for character mappings (encodings). All character maps should have the ability to convert between internal encoding and Unicode.

## Member Function Documentation

## ◆ GetDefaultMapper()

static CFX_CharMap* CFX_CharMap::GetDefaultMapper | ( | FX_INT32 | codepage = `0` | ) |
| static

Get a character mapper according to Windows code page or other encoding system. This char maps are managed by FXAPI, don't destroy them.

This is system default mapper according to locale settings.

Parameters

  [in] | codepage | The code page.

Returns
  A character mapper.

## Member Data Documentation

## ◆ m_GetByteString

CFX_ByteString(* CFX_CharMap::m_GetByteString) (CFX_CharMap *pMap, const CFX_WideString &wstr)

A pointer type to GetByteString function.

The function converts a wide string to a byte string according a character mapper.
The function prototype is: CFX_ByteString GetByteString(CFX_CharMap* pMap, const CFX_WideString& wstr);

Parameters

  [in] | pMap | A character mapper.
  [in] | wstr | A wide string.

Returns
  A byte string.

## ◆ m_GetCodePage

FX_INT32(* CFX_CharMap::m_GetCodePage) ()

A pointer type to GetCodePage function. The function return a code page of the platform.

Returns
  The function return a code page of the platform.

## ◆ m_GetWideString

CFX_WideString(* CFX_CharMap::m_GetWideString) (CFX_CharMap *pMap, const CFX_ByteString &bstr)

A pointer type to GetWideString function.

The function converts a byte string to a wide string according a character mapper.
The function prototype is: CFX_WideString GetWideString(CFX_CharMap* pMap, const CFX_ByteString& bstr);

Parameters

  [in] | pMap | A character mapper.
  [in] | bstr | A byte string.

Returns
  A wide string.